@import '../../../css/global.scss';

.menu{
    width:100%;   
    font-size: 12px;
    outline: 0;
    vertical-align: baseline;        
    background-color: white;    
    &__banner{  
        color:white; 
        background-color: $main__color;                
        max-height: 37px;    
        display: flex;   
        justify-content: center;        
        align-items: center;  
        width: 100%;        
        &--content{      
            @media screen and (max-width: 600px) {
                display: none;
            }      
            height: 37px;     
            display: flex;
            justify-content: flex-end;
            align-items: center;    
            width:1400px;
            ul{
                margin-right: 15px;
                list-style: none;
                display: flex;
                align-items: center;
                justify-content: space-around; 
                margin:0;
                padding:0; 
                     
            }
            li{                
                display: flex;
                align-items: center;
                a{
                    font-family: "Montserrat", sans-serif;
                    font-weight: 500;
                    transition: all 0.25s ease-in-out;                              
                    background-color: transparent;
                    text-decoration: none;
                    padding: 3px 10px 3px 3px;
                    color: #FFFFFF;
                    position: relative;
                    font-size: 12px;
                    letter-spacing:0.5px;
                    line-height: 5px;                
                    &:hover{
                        opacity: 0.6;
                    }
                }         
            }
        }    
    }
    &__main{
        display: flex;
        align-items: center;
        justify-content: space-evenly;
        margin:auto;
        color:$main__color;
        max-width:1400px;
        min-height:95px;
        padding:0 15px;
        background-color: #FFFFFF;         
        &--button{            
            width:100%;
            @media screen and (max-width: 600px) {
                display: none;
            }
            button{
                text-transform: uppercase;
                background-color: #FFFFFF;
                border: 2px solid #DDE6EB;
                color: #0074C8;
                font-weight: 500;
                margin: 0;
                padding: 8px 30px 8px 20px;
                border-radius:21px;
                font-size: 11px;
                font-family: "Montserrat", sans-serif;
                span{
                    margin-left: 6px;
                    img{
                        margin-top: -4px;                   
                    }

                }

                &:hover{
                    border-color: #0074C8;
                    cursor:pointer;
                }
            }
        }
        &--input{
            box-sizing: border-box;
            width:100%;            
            background-color: #e7f7ff;
            border-radius: 10px;            
            font-weight: 400;
            padding: 15px;
            border: 1px solid #e7f7ff;
            margin: 0;            
            z-index: 3;
            display: flex;
            @media screen and (max-width: 600px) {
                display: none;
            }
            justify-content: space-between;
                &:active{
                    border: 2px solid #0081c6;
                    color: #0081c6;
                    font-weight: 600;            
              
                }
                &:hover{
                    border: 2px solid #0081c6;                
                }            
            input{
                background: none;
                border:none;
                width: 100%;                
                height: 100%;
                font-size: 14px;                
                &:focus{                                        
                    color: #0081c6;
                    font-weight: 600;
                    outline:none;
                }               
                &:active{                    
                    outline:none;
                }                
            }
            button{                
                background: none;
                border:none;
                &:hover{
                    cursor:pointer;
                }
            }
            
        }
        &--icons{
            width: 100%;
            display: flex;
            justify-content: flex-end;
            @media screen and (max-width: 600px) {
                display: none;
            }
            &--location{
                a{
                    display: flex;
                    align-items: center;
                    justify-content: space-evenly;
                    color:$main__color;

                }
            }
        }
    }
    &__footer{
        height: 31px;
        width: 100%;        
        border-top: 1px solid #EEE;
        display: flex;
        justify-content: center;
        align-items: center;
        &--container{
            width: 1400px;
            ul{   
                color:#939393;             
                padding:0px 15px;
                display:flex;   
                justify-content: flex-end;
                align-items: center;
                list-style: none;
                li{
                    display: flex;
                    justify-content: space-between;
                    align-items: center;
                    a{
                        color:#939393;
                        transition: all 0.3s;
                        color: #333;
                        padding: 2px 15px;
                        margin-right: 0.5rem;
                        min-height: 30px;
                        display: flex;
                        align-items: center;
                        line-height: normal;
                        font-size: 12px;
                        img{
                            margin:0 5px;
                        }                        
                    }
                    &:hover{
                        opacity: 0.6;
                    }
                } 
                /* :nth-child(1){
                    @media screen and (max-width: 600px) {
                        display: flex;
                        flex-direction: row-reverse;
                        color:#0074C8;
                        border:1px solid #DDE6EA;
                        border-radius: 100px;
                    }
                }
                :nth-child(2){
                    @media screen and (max-width: 600px) {
                        display: flex;
                        flex-direction: row-reverse;
                        color:#0074C8;
                        border:1px solid #DDE6EA;
                        border-radius: 100px;
                    }
                }   */  
                :nth-child(3){
                    @media screen and (max-width: 600px) {
                        display: none;
                    }
                }  
            }
        }
    }
}
.floating--nav{
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 2.2fr 1.5fr;
    @media screen and (max-width: 600px) {
    grid-template-columns: 1fr;
        
    }
    place-items: center;
    padding-left: 15px;
    &--contentmobile{
        display: none;
        @media screen and (max-width: 600px) {
            display: flex;
            width: 100%;
            ul{
                list-style: none;
                display: flex;
                justify-content: space-between;
                align-items: center;
                width:100%;
            }
        }
    }
   
}
.icon__mobile{
    @media screen and (max-width: 600px) {
        margin:4px;
    }
    a{
        @media screen and (max-width: 600px) {
            display: flex;
            flex-direction: row-reverse;            
            border:1px solid #DDE6EA;
            border-radius: 100px;
            color:#0074C8 !important ;
            font-weight: 600;
        }

    }
}